AYourGameMode::AYourGameMode()
{
GetWorldSettings()->MinNetUpdateFrequency = 100.0f;
    GetWorldSettings()->MaxNetUpdateFrequency = 100.0f;
GetWorldSettings()->GameNetworkManager->TotalNetBandwidth = 104857600;
    GetWorldSettings()->GameNetworkManager->MaxDynamicBandwidth = 104857600;
GetNetDriver()->NetServerMaxTickRate = 1000.0f;
GetWorld()->GetIptNetHandler()->SetOutRate(99999999);
    GetWorld()->GetIptNetHandler()->SetAllowPerfCounter(true);
    GetWorld()->GetIptNetHandler()->SetTimerHandlerTimeout(1.5f);
}
void AYourGameMode::StartPlay()
{
    Super::StartPlay();
    GetWorldTimerManager().SetTimer(TimerHandle, this, &AYourGameMode::FixedTick, FixedDeltaTime, true);
}

void AYourGameMode::FixedTick()
{
UPhysicalMaterial* YourMaterial = LoadObject<UPhysicalMaterial>(nullptr, TEXT("YourPhysicalMaterialName"));
if (YourMaterial)
{
UPROPERTY(EditDefaultsOnly, Category=Gameplay)
int32 MaxPlayerHitButAIUnhitCount;
AMyGameMode::AMyGameMode()
{
    MaxPlayerHitButAIUnhitCount = GetDefault<UMyGameModeSettings>()->MaxPlayerHitButAIUnhitCount;
}
void AMyGameMode::HandlePlayerShotLogic()
{
    bool bPlayerHit = CheckPlayerHitLogic();
    bool bAIHit = CheckAIHitLogic();
    if (bPlayerHit && !bAIHit)
    {
        HitButUnhitCount++;

        if (HitButUnhitCount >= MaxPlayerHitButAIUnhitCount)
        {
        HandleMaxPlayerHitButAIUnhit();
        }
    }
}        
void AMyGameMode::HandleMaxPlayerHitButAIUnhit()
{        
AGameModeBase::GetClass()->SetNetworkLag(0.0f);
AGameModeBase::GetClass()->SetNetworkSendInterval(0.033f);
AGameModeBase::GetClass()->SetMinDynamicBandwidth(1000);