UPROPERTY(EditAnywhere, Category = "Recoil")
float RecoilFactor = 1.0f;
void AYourProjectile::Fire()
{
FVector RecoilForce = FVector(FMath::RandRange(-50.0f, 50.0f), FMath::RandRange(-50.0f, 50.0f), FMath::RandRange(0.0f, 10.0f)) * RecoilFactor;
    YourMeshComponent->AddImpulse(RecoilForce, NAME_None, true);
}
#include "Projectile.h"
   AProjectile::AProjectile()
   {
       PrimaryActorTick.bCanEverTick = true;
   }
   void AProjectile::BeginPlay()
   {
       Super::BeginPlay();
   }
   void AProjectile::Tick(float DeltaTime)
   {
       Super::Tick(DeltaTime);
   }
   void AProjectile::Fire()
   {
   void AMyProjectile::Tick(float DeltaTime)
{
    Super::Tick(DeltaTime);

    if (TargetEnemy)
    {
        FVector TargetLocation = TargetEnemy->GetActorLocation();
        FVector MoveDirection = (TargetLocation - GetActorLocation()).GetSafeNormal();
        SetActorLocation(GetActorLocation() + MoveDirection * Speed * DeltaTime);
    }
}