#include "SMGWeapon.h"
#include "ConfigCacheIni.h"
#include "Config/DefaultGame.ini"

ASMGWeapon::ASMGWeapon()
{
    PrimaryActorTick.bCanEverTick = false;

    // Load weapon settings from INI file
    GConfig->GetFloat(TEXT("/Script/MyGame.SMGWeapon"), TEXT("MaxDamage"), MaxDamage, GGameIni);
}

void ASMGWeapon::BeginPlay()
{
    Super::BeginPlay();
}

float ASMGWeapon::GetCurrentDamage() const
{
    return MaxDamage;
}