#include "YourClass.h"
#include "Containers/Array.h"
#include "Math/NumericLimits.h"

AYourClass::AYourClass()
{
    TotalDamage = CalculateMaxDamage();
}

float AYourClass::CalculateMaxDamage()
{
    TArray<float> DamageArray = { 10.0f, 20.0f, 15.0f, 30.0f }; // Example damage values

    if(DamageArray.Num() == 0)
    {
        return 0.0f;
    }

    float MaxDamage = TNumericLimits<float>::Lowest();

    for(float Damage : DamageArray)
    {
        if(Damage > MaxDamage)
        {
            MaxDamage = Damage;
        }
    }

    return MaxDamage;
}