#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "MyCharacter.h"
#include "My5.56,7.62.h"
#include "MyAutoAimActor.generated.h"

UCLASS()
class YOURGAME_API AMyAutoAimActor : public AActor
{
	GENERATED_BODY()
	
public:	
	AMyAutoAimActor();

protected:
	virtual void BeginPlay() override;

public:	
	virtual void Tick(float DeltaTime) override;

	UPROPERTY(EditAnywhere, Category = "AutoAim")
	float AutoAimDistance;

	UPROPERTY(EditAnywhere, Category = "AutoAim")
	float AutoAimAngle;

	UPROPERTY(EditAnywhere, Category = "AutoAim")
	TSubclassOf<AMyProjectile> ProjectileClass;

private:
	AMyCharacter* PlayerCharacter;
	FVector LastAimPosition;

	void AimAtPlayer();
	void SpawnProjectile();
};