#pragma once
#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "DamageSystem.generated.h"
UCLASS()
class YOURPROJECT_API UDamageSystem : public UObject
{
    GENERATED_BODY()
public:
    UDamageSystem();

    UFUNCTION(BlueprintCallable)
    void DealDamage(AActor* DamagedActor, float DamageAmount);
};
#include "DamageSystem.h"
UDamageSystem::UDamageSystem()
{
    
}
void UDamageSystem::DealDamage(AActor* DamagedActor, float DamageAmount)
{
 DamagedActor->TakeDamage(DamageAmount, FDamageEvent(), nullptr, nullptr);