#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include "LockOnSystemComponent.generated.h"

UCLASS( ClassGroup=(Custom), meta=(BlueprintSpawnableComponent) )
class YOURPROJECT_API ULockOnSystemComponent : public UActorComponent
{
    GENERATED_BODY()

public:    
    ULockOnSystemComponent();

protected:
    virtual void BeginPlay() override;
    virtual void TickComponent(float DeltaTime, ELevelTick TickType, FActorComponentTickFunction* ThisTickFunction) override;

private:
    bool bEnableLockOn;
    float LockOnDistance;
    FKeyBind LockOnButton;
};