#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "MagicBullet.generated.h"

UCLASS()
class YOURGAME_API AMagicBullet : public AActor
{
    GENERATED_BODY()

public:    
    AMagicBullet();

    virtual void BeginPlay() override;

    UPROPERTY(VisibleAnywhere)
    UStaticMeshComponent* BulletMesh;

    UPROPERTY(VisibleAnywhere)
    float BulletSpeed;

    UPROPERTY(EditDefaultsOnly, Category = "Effects")
    UParticleSystem* ImpactEffect;

    void FireInDirection(const FVector& ShootDirection);
};