#pragma once

#include "CoreMinimal.h"
#include "AIController.h"
#include "MyAIController.generated.h"

UCLASS()
class YOURGAME_API AMyAIController : public AAIController
{
    GENERATED_BODY()

public:
    virtual void Tick(float DeltaTime) override;

protected:
    UPROPERTY(EditAnywhere, Category = "AI")
    class APlayerController* PlayerControllerInstance;
    
    UFUNCTION()
    void FollowPlayerTarget();
};