UCLASS()
class YOURPROJECT_API AMyProjectile : public AActor
{
    GENERATED_BODY()
public:
    AMyProjectile();
    virtual void BeginPlay() override;
    virtual void Tick(float DeltaTime) override;
    void ApplyDamage(AActor* OtherActor);
    UFUNCTION()
    void OnProjectileCollision(AActor* SelfActor, AActor* OtherActor, FVector NormalImpulse, const FHitResult& Hit);
    UPROPERTY(EditDefaultsOnly, Category = "Projectile")
    class UParticleSystemComponent* ProjectileParticle;
    UPROPERTY(EditDefaultsOnly, Category = "Projectile")
    float ProjectileDamage;
};