#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "SMGWeapon.generated.h"

UCLASS()
class MYGAME_API ASMGWeapon : public AActor
{
    GENERATED_BODY()

public:
    ASMGWeapon();

protected:
    virtual void BeginPlay() override;

public:
    UPROPERTY(EditAnywhere, Category = "Weapon Stats")
    float MaxDamage;

    float GetCurrentDamage() const;
};