#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Character.h"
#include "YourCharacter.generated.h"

UCLASS()
class YOURGAME_API AYourCharacter : public ACharacter
{
    GENERATED_BODY()

public:
    // Sets default values for this character's properties
    AYourCharacter();

    // Maximum rotation rate for the character
    UPROPERTY(EditAnywhere, Category = "Character Rotation")
    float MaxTurnRate;

    // Called to bind functionality to input
    virtual void SetupPlayerInputComponent(class UInputComponent* PlayerInputComponent) override;

    // Function to rotate the character
    void RotateCharacter(float Value);

};
#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Character.h"
#include "YourCharacter.generated.h"

UCLASS()
class YOURGAME_API AYourCharacter : public ACharacter
{
    GENERATED_BODY()

public:
    AYourCharacter();

protected:
    virtual void SetupPlayerInputComponent(class UInputComponent* PlayerInputComponent) override;

private:
    void MoveRight(float Value);
    void MoveUp(float Value);
    void AimAssist();

    FVector AimAssistTargetLocation;
};