UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Bullet")
float MaxBounce = 0.5f;
void ABulletController::BeginPlay()
{
    Super::BeginPlay();
UPrimitiveComponent* BulletMesh = Cast<UPrimitiveComponent>(GetOwner()->GetComponentByClass(UPrimitiveComponent::StaticClass()));
    if (BulletMesh != nullptr)
    {
UPhysicalMaterial* BulletPhysicalMaterial = BulletMesh->GetPhysMaterial();
BulletPhysicalMaterial->Friction = 0.0f;
BulletPhysicalMaterial->Restitution = MaxBounce;
    }
}        
float MaxBulletSpread = 0.2f;
float MinBulletSpread = 0.05f;
float BulletSpreadMultiplier = FMath::Clamp(BulletSpreadMultiplier, MinBulletSpread, MaxBulletSpread);