#include "MagicBullet.h"

AMagicBullet::AMagicBullet()
{
    PrimaryActorTick.bCanEverTick = false;

    BulletMesh = CreateDefaultSubobject<UStaticMeshComponent>("BulletMesh");
    RootComponent = BulletMesh;
    BulletSpeed = 1000.0f;
}

void AMagicBullet::BeginPlay()
{
    Super::BeginPlay();
    
    SetLifeSpan(3.0f);  // Destroy the bullet after 3 seconds
}

void AMagicBullet::FireInDirection(const FVector& ShootDirection)
{
    BulletMesh->SetPhysicsLinearVelocity(ShootDirection * BulletSpeed);
}