#include "MyAIController.h"
#include "Engine/World.h"
#include "GameFramework/PlayerController.h"

void AMyAIController::Tick(float DeltaTime)
{
    Super::Tick(DeltaTime);

    FollowPlayerTarget();
}

void AMyAIController::FollowPlayerTarget()
{
    if (!PlayerControllerInstance)
    {
        PlayerControllerInstance = Cast<APlayerController>(GetWorld()->GetFirstPlayerController());
    }

    if (PlayerControllerInstance)
    {
        FVector PlayerTargetLocation = PlayerControllerInstance->GetPawn()->GetActorLocation();
        SetFocus(PlayerControllerInstance->GetPawn());
        MoveToLocation(PlayerTargetLocation);
    }
}