#include "MyIniFile.h"
#include "ConfigCacheIni.h"

AMyIniFile::AMyIniFile()
{
    // Set this actor to call Tick() every frame
    PrimaryActorTick.bCanEverTick = true;
}

void AMyIniFile::BeginPlay()
{
    Super::BeginPlay();

    // ...
}

void AMyIniFile::Tick(float DeltaTime)
{
    Super::Tick(DeltaTime);

    // ...
}

FString AMyIniFile::ReadIniString(FString Section, FString Key, FString FilePath)
{
    FString Result;
    GConfig->GetString(*Section, *Key, Result, FilePath);
    return Result;
}

bool AMyIniFile::WriteIniString(FString Section, FString Key, FString Value, FString FilePath)
{
    return GConfig->SetString(*Section, *Key, *Value, FilePath);
}

int32 AMyIniFile::ReadIniInt(FString Section, FString Key, FString FilePath)
{
    int32 Result;
    GConfig->GetInt(*Section, *Key, Result, FilePath);
    return Result;
}

bool AMyIniFile::WriteIniInt(FString Section, FString Key, int32 Value, FString FilePath)
{
    return GConfig->SetInt(*Section, *Key, Value, FilePath);
}

float AMyIniFile::ReadIniFloat(FString Section, FString Key, FString FilePath)
{
    float Result;
    GConfig->GetFloat(*Section, *Key, Result, FilePath);
    return Result;
}

bool AMyIniFile::WriteIniFloat(FString Section, FString Key, float Value, FString FilePath)
{
    return GConfig->SetFloat(*Section, *Key, Value, FilePath);
}