ProjectileMovementComponent
UPROPERTY(VisibleAnywhere, BlueprintReadOnly, Category="Movement")
UProjectileMovementComponent* ProjectileMovementComponent;
AProjectile::AProjectile(const FObjectInitializer& ObjectInitializer)
    : Super(ObjectInitializer)
{
ProjectileMovementComponent = ObjectInitializer.CreateDefaultSubobject<UProjectileMovementComponent>(this, TEXT("ProjectileMovementComponent"));
ProjectileMovementComponent->InitialSpeed = 1000.f;
    ProjectileMovementComponent->MaxSpeed = 1000.f;
ProjectileMovementComponent->bShouldBounce = false;
    ProjectileMovementComponent->bIsHomingProjectile = true;
    ProjectileMovementComponent->HomingAccelerationMagnitude = 1000.f;
}
void AProjectile::BeginPlay()
{
    Super::BeginPlay();
UMyTargetComponent* TargetComponent = FindComponentByClass<UMyTargetComponent>();
    if (TargetComponent != nullptr)
    {
ProjectileMovementComponent->HomingTargetComponent = TargetComponent;
    }
}

            