void AWeapon::Shoot()
{
float RecoveryTime = bADS ? ADSRecoveryTime : this->RecoveryTime;
GetWorldTimerManager().ClearTimer(TimerHandle_Recovery);
TargetLocation = GetActorLocation() + ActorUpVector * FMath::RandRange(0.1f, MaxRecoilPitch);
    TargetRotation = GetActorRotation() + FRotator(-FMath::RandRange(0.0f, MaxRecoilPitch), 0, FMath::RandRange(-MaxRecoilYaw, MaxRecoilYaw));
SetActorLocation(TargetLocation);
    SetActorRotation(TargetRotation);
bIsRecovering = true;
    GetWorldTimerManager().SetTimer(TimerHandle_Recovery, this, &AWeapon::FinishRecovery, RecoveryTime, false);
}

void AWeapon::Shoot()
{
FCollisionQueryParams QueryParams;
    QueryParams.bTraceComplex = true;
    QueryParams.bReturnPhysicalMaterial = true;
    QueryParams.AddIgnoredActor(this);
FVector TraceStart = CameraComponent->GetComponentLocation();
    FVector TraceDirection = CameraComponent->GetForwardVector();
TraceStart = TraceStart + TraceDirection * 50.0f;
FVector TraceEnd = TraceStart + TraceDirection * MaxRange;
FHitResult HitResult;
    bool bHit = GetWorld()->LineTraceSingleByChannel(HitResult, TraceStart, TraceEnd, COLLISION_WEAPON, QueryParams);

    if (bHit)
    {
AActor* HitActor = HitResult.GetActor();
if (HitActor && HitActor->IsA(AEnemyCharacter::StaticClass()))
        {
            AEnemyCharacter* Enemy = Cast<AEnemyCharacter>(HitActor);
if (Enemy)
            {
FVector HeadLocation = Enemy->GetMesh()->GetBoneLocation("head");
float Distance = FVector::Dist(HeadLocation, HitResult.ImpactPoint);
if (Distance < HeadHitDistanceThreshold)
                {
Enemy->TakeDamage(Damage * HeadshotDamageMultiplier, FDamageEvent(), nullptr, this);
                }
                else
                {
Enemy->TakeDamage(Damage, FDamageEvent(), nullptr, this);
                }
            }
        }
    }
}                                                                            