UWorld* World = GetWorld();
FHitResult HitResult;
FVector TraceStart = CameraComponent->GetComponentLocation();
FVector TraceEnd = TraceStart + CameraComponent->GetForwardVector() * Range; // Range是射程
FCollisionQueryParams Params(FName(TEXT("Trace")), true, this);
Params.bTraceComplex = true;
Params.bReturnPhysicalMaterial = true;
Params.AddIgnoredActor(this);
World->LineTraceSingleByChannel(HitResult, TraceStart, TraceEnd, ECollisionChannel::ECC_GameTraceChannel1, Params);
if (HitResult.Actor)
{
AEnemy* Enemy = Cast<AEnemy>(HitResult.Actor);
    if (Enemy)
    {
float Damage = ...
        Enemy->TakeDamage(Damage, FDamageEvent(), nullptr, this);
    }
}