FConfigSectionMap RecoilConfig;
    FString RecoilConfigPath = FPaths::ProjectConfigDir() + "Recoil.ini";
    GConfig->GetSectionPrivate(TEXT("Recoil"), RecoilConfig, RecoilConfigPath);
    
    float RecoilStrength = FCString::Atof(*RecoilConfig["RecoilStrength"].GetValue());
    float HorizontalRecoilLimit = FCString::Atof(*RecoilConfig["HorizontalRecoilLimit"].GetValue());
    float VerticalRecoilLimit = FCString::Atof(*RecoilConfig["VerticalRecoilLimit"].GetValue());
    float RecoilRecoverySpeed = FCString::Atof(*RecoilConfig["RecoilRecoverySpeed"].GetValue());
    
ACharacter* MyCharacter = GetWorld()->GetFirstPlayerController()->GetCharacter();
if (MyCharacter)
{
    UWeaponRecoilComponent* RecoilComponent = MyCharacter->FindComponentByClass<UWeaponRecoilComponent>();
    if (RecoilComponent)
    {
        RecoilComponent->ApplyRecoilPattern("MyWeaponRecoilPattern");
    }
}
float MaxRecoilYaw;
float MaxRecoilPitch;
float RecoilRecoveryRate;
float CurrentRecoilYaw;
float CurrentRecoilPitch;    