#include "Weapon.h"
#include "GameFramework/PlayerController.h"

// Constructor
AWeapon::AWeapon()
{
    VerticalRecoilAmount = 0.0f;
}
void AWeapon::Fire()
{
    ApplyRecoil();
}
void AWeapon::ApplyRecoil()
{
#include "Weapon.h"

AWeapon::AWeapon()
{
AimAccuracyMax = 0.9f;
}

void AWeapon::SetAimAccuracyMax(float NewAimAccuracyMax)
{
    AimAccuracyMax = NewAimAccuracyMax;
}
#include "Weapon.h"

AWeapon::AWeapon()
{
    ReloadTime = 2.0f;
    MaxAmmo = 30;
    CurrentAmmo = MaxAmmo;
    bIsReloading = false;
}

void AWeapon::BeginPlay()
{
    Super::BeginPlay();
}

void AWeapon::Reload()
{
    if (!bIsReloading && CurrentAmmo < MaxAmmo)
    {
        bIsReloading = true;
        GetWorldTimerManager().SetTimer(ReloadTimerHandle, this, &AWeapon::FinishReload, ReloadTime, false);
    }
}

void AWeapon::FinishReload()
{
    CurrentAmmo = MaxAmmo;
    bIsReloading = false;
}
#include "Weapon.h"

AWeapon::AWeapon()
{
    PrimaryActorTick.bCanEverTick = true;
}

void AWeapon::BeginPlay()
{
    Super::BeginPlay();
}

void AWeapon::Tick(float DeltaTime)
{
    Super::Tick(DeltaTime);
}
void AYourWeaponClass::AimDownSights()
{
if (PlayerController && PlayerController->PlayerCameraManager)
    {
        PlayerController->PlayerCameraManager->SetFOV(MaxAimDownSightsFOV);
    }
}
void AWeapon::Fire()
{
FVector RecoilVector = FVector(FMath::FRandRange(-RecoilStrength, RecoilStrength), FMath::FRandRange(-RecoilStrength, RecoilStrength), 0.0f);
    GetOwner()->AddActorLocalOffset(RecoilVector);
}
#include "Weapon.h"

AWeapon::AWeapon()
{
	HorizontalRecoilReductionMultiplier = 0.0f;
}
void AWeapon::BeginPlay()
{
	Super::BeginPlay();
	ReduceHorizontalRecoil();
}
void AWeapon::ReduceHorizontalRecoilReductionMultiplier
}
#include "Weapon.h"
AWeapon::AWeapon()
{
    bReduceVerticalRecoil = true;
}
void AWeapon::Fire()
{
    if (bReduceVerticalRecoil)
    {
    }
    void AWeapon::SetMaxDamage(float DamageValue)
{
    MaxDamage = DamageValue;
}
void AWeapon::UseWeapon()
{