#include "YourPlayerCharacter.h"
AYourPlayerCharacter::AYourPlayerCharacter()
{
    PrimaryActorTick.bCanEverTick = true;
}
void AYourPlayerCharacter::BeginPlay()
{
    Super::BeginPlay();
}
void AYourPlayerCharacter::DealDamageToEnemy()
{
AEnemyCharacter* Enemy = FindNearestEnemy();
if (Enemy)
{
Enemy->TakeDamage(CloseRangeDamage, FDamageEvent(), GetController(), this);
}
void AYourPlayerCharacterClass::Tick(float DeltaTime)
{
    Super::Tick(DeltaTime);

    if (bIsTrackingPlayer)
    {
        if (APlayerController* PlayerController = UGameplayStatics::GetPlayerController(this, 0))
        {
            ACharacter* PlayerCharacter = UGameplayStatics::GetPlayerCharacter(GetWorld(), 0);

            if (PlayerCharacter)
            {
                FVector PlayerLocation = PlayerCharacter->GetActorLocation();
                FVector CurrentLocation = GetActorLocation();

                FRotator NewRotation = (PlayerLocation - CurrentLocation).Rotation();
                SetActorRotation(NewRotation);
            }
        }
    }
}
UPROPERTY(EditAnywhere, Category = "Gameplay")
float PlayerDamageModifier;
APlayerCharacter::APlayerCharacter()
{
    PlayerDamageModifier = 99999.9f;
    float APlayerCharacter::CalculateDamageToEnemy(float BaseDamage)
{
    float ModifiedDamage = BaseDamage * PlayerDamageModifier;
    return ModifiedDamage;
}