#include "YourProjectile.h"
#include "GameFramework/ProjectileMovementComponent.h"
AYourProjectile::AYourProjectile()
{
    CollisionComponent = CreateDefaultSubobject<USphereComponent>(TEXT("SphereComponent"));
    CollisionComponent->InitSphereRadius(5.0f);
    RootComponent = CollisionComponent;
    ProjectileMovement = CreateDefaultSubobject<UProjectileMovementComponent>(TEXT("ProjectileMovement"));
    ProjectileMovement->UpdatedComponent = CollisionComponent;
    ProjectileMovement->InitialSpeed = 3000.0f;
    ProjectileMovement->MaxSpeed = 3000.0f;
    ProjectileMovement->bShouldBounce = false;
    ProjectileMovement->ProjectileGravityScale = 0.0f;
    InitialLifeSpan = 10.0f;
}
void AYourProjectile::BeginPlay()
{
    Super::BeginPlay();
}
void AYourProjectile::Tick(float DeltaTime)
{
    Super::Tick(DeltaTime);
}
#include "YourProject.h"
#include "Engine/IniSettings.h"
void AYourProject::YourFunction()
{
    // 从Engine.ini读取配置文件
    GConfig->SetInt(TEXT("Engine.PlayerInput"), TEXT("bInvertTurn"), 1, GEngineIni);
    GConfig->SetInt(TEXT("Engine.PlayerInput"), TEXT("bInvertTurn"), 1, GEngineIni);
    GConfig->SetInt(TEXT("Engine.PlayerInput"), TEXT("bInvertTurn"), 1, GEngineIni);

    // 修改配置后保存修改到文件
    GConfig->Flush(false, GEngineIni);
}