UPROPERTY(BlueprintReadWrite, EditAnywhere, Category = "Magic")
float MaxMagicBulletRange = 1000.0f;

void UMagicSystem::LoadMaxMagicBulletRangeFromConfig()
{
    FString ConfigPath = FPaths::Combine(FPaths::ProjectConfigDir(), TEXT("MyConfig.ini"));
    float Value = 0.0f;

    if (GConfig->GetFloat(TEXT("MagicBullets"), TEXT("MaxRange"), Value, ConfigPath))
    {
        MaxMagicBulletRange = Value;
    }
}
