#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "DamageConfig.generated.h"

USTRUCT(BlueprintType)
struct FDamageTypeConfig
{
    GENERATED_BODY()

    UPROPERTY(EditAnywhere)
    FString Name;

    UPROPERTY(EditAnywhere)
    float Multiplier;
};

UCLASS()
class YOURGAME_API UDamageConfig : public UObject
{
    GENERATED_BODY()

public:
    UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Damage")
    TArray<FDamageTypeConfig> DamageTypes;
};