#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "MyBulletActor.generated.h"

UCLASS()
class MYPROJECT_API AMyBulletActor : public AActor
{
    GENERATED_BODY()

public:
    AMyBulletActor();

protected:
    virtual void BeginPlay() override;

public:
    virtual void Tick(float DeltaTime) override;

protected:
    UPROPERTY(EditAnywhere, Category = "Bullet Settings")
    float MaxRange;
    FVector InitialPos;
};