#pragma once
#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "MyWeapon.generated.h"
UCLASS()
class MYGAME_API AMyWeapon : public AActor
{
    GENERATED_BODY()
public:
    AMyWeapon();
    UFUNCTION()
    void Fire();
protected:
    UPROPERTY(EditAnywhere, Category = "Weapon")
    int32 BaseDamage;
    UPROPERTY(EditAnywhere, Category = "Weapon")
    float FireRate;
    void CalculateDamage();
};
UPROPERTY(EditAnywhere, Category = "Weapon")
float RecoilStrength = 10.0f;