#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "MyWeaponSwitcher.generated.h"

UCLASS()
class YOURGAME_API AMyWeaponSwitcher : public AActor
{
    GENERATED_BODY()

public:    
    AMyWeaponSwitcher();
    UFUNCTION(BlueprintCallable, Category = "Weapon")
    void SwitchWeaponSpeed(float NewMaxSpeed);

protected:
    virtual void BeginPlay() override;

private:
    float CurrentSpeed;
};