#pragma once

#include "GameFramework/GameModeBase.h"
#include "YourGameModeClass.generated.h"

UCLASS()
class YOURGAMENAME_API AYourGameModeClass : public AGameModeBase
{
    GENERATED_BODY()
    
public:
    AYourGameModeClass();

    UPROPERTY(EditDefaultsOnly, BlueprintReadOnly, Category = "FireMode")
    bool bFireModeEnabled;

    UFUNCTION(BlueprintCallable, Category = "FireMode")
    bool IsFireModeEnabled() const { return bFireModeEnabled; }
};