#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Character.h"
#include "YourPlayerCharacter.generated.h"

UCLASS()
class YOURGAME_API AYourPlayerCharacter : public ACharacter
{
    GENERATED_BODY()

public:
    AYourPlayerCharacter();

    virtual void BeginPlay() override;

    UPROPERTY(EditAnywhere, Category = "Damage")
    float CloseRangeDamage = 50.0f;

    UFUNCTION()
    void DealDamageToEnemy();

};