#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "YourProjectile.generated.h"

UCLASS()
class YOURGAME_API AYourProjectile : public AActor
{
    GENERATED_BODY()
    
public: 
    AYourProjectile();

    UPROPERTY(VisibleDefaultsOnly, Category = Projectile)
    class USphereComponent* CollisionComponent;

    UPROPERTY(VisibleAnywhere, Category = Movement)
    class UProjectileMovementComponent* ProjectileMovement;

protected:
    virtual void BeginPlay() override;

public: 
    virtual void Tick(float DeltaTime) override;
};